Table of Contents

## Name

im_fav4 - averages four frames

## Synopsis

#include <vips/vips.h>

int im_fav4(in, out)
IMAGE **in, *out;

## Description

im_fav4 averages four input VIPS images, which must be unsigned byte images with any number of bands. This is useful for noise reduction by grabbing 4 frames and averaging them. With 7 bit images this will give quite a convincing eighth bit.

## Return Value

returns 0 on success or -1 on error

## See Also

add(1)

## Copyright

K. Martinez 13/4/92

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright